# IRsAcceleratorHandlerGlobal Interface Reference

Inherits IDispatch, and IDispatch.

List of all members.

## Public Member Functions
HRESULT | StartNewBlock ([out, retval] RtDWORD *pdwBlockID)
HRESULT | AddAcceleratorToBlock ([in] RtDWORD dwBlockID,[in] RtDWORD dwVirtualKey,[in] RtDWORD dwModifierFlags,[in] BSTR bsAcceleratorCommand)
HRESULT | AddAccelerator ([in] RtDWORD dwVirtualKey,[in] RtDWORD dwModifierFlags,[in] BSTR bsAcceleratorCommand,[out, retval] RtDWORD *pdwBlockID)
HRESULT | DeleteAccelerators ([in] RtDWORD dwBlockID)
HRESULT | Enable ()
HRESULT | Disable ()
HRESULT | GetAcceleratorCount ([out, retval] RtDWORD *dwCount)
HRESULT | GetAccelerator ([in] RtDWORD dwIndex,[out] RtDWORD *pdwBlockID,[out] RtDWORD *pdwVirtualKey,[out] RtDWORD *pdwModifierFlags,[out] BSTR *bsAcceleratorCommand)
HRESULT | SaveToXML ([in] BSTR bsFileName)
HRESULT | LoadFromXML ([in] BSTR bsFileName)
HRESULT | SaveToDefaultXML ()
HRESULT | LoadFromDefaultXML ()
HRESULT | LoadFromXMLString ([in] BSTR pszXMLString)
HRESULT | StartNewBlock ([out, retval] RtDWORD *pdwBlockID)
HRESULT | AddAcceleratorToBlock ([in] RtDWORD dwBlockID,[in] RtDWORD dwVirtualKey,[in] RtDWORD dwModifierFlags,[in] BSTR bsAcceleratorCommand)
HRESULT | AddAccelerator ([in] RtDWORD dwVirtualKey,[in] RtDWORD dwModifierFlags,[in] BSTR bsAcceleratorCommand,[out, retval] RtDWORD *pdwBlockID)
HRESULT | DeleteAccelerators ([in] RtDWORD dwBlockID)
HRESULT | Enable ()
HRESULT | Disable ()
HRESULT | GetAcceleratorCount ([out, retval] RtDWORD *dwCount)
HRESULT | GetAccelerator ([in] RtDWORD dwIndex,[out] RtDWORD *pdwBlockID,[out] RtDWORD *pdwVirtualKey,[out] RtDWORD *pdwModifierFlags,[out] BSTR *bsAcceleratorCommand)
HRESULT | SaveToXML ([in] BSTR bsFileName)
HRESULT | LoadFromXML ([in] BSTR bsFileName)
HRESULT | SaveToDefaultXML ()
HRESULT | LoadFromDefaultXML ()
HRESULT | LoadFromXMLString ([in] BSTR pszXMLString)

## Detailed Description

handling of global accelerator keys that:

- Do not depend on check of active window.
- These keys are handled no matter what the window (context) is.

## Member Function Documentation

HRESULT IRsAcceleratorHandlerGlobal::StartNewBlock | ( | [out, retval] RtDWORD * | pdwBlockID | ) |

Start the shortcut block.

- This method returns the ID of the new shortcut block and new accelerators can be added to the block using AddAcceleratorToBlock method.

Returns:
  pdwBlockID [out, retval] Is filled with the new unique block id.

HRESULT IRsAcceleratorHandlerGlobal::AddAcceleratorToBlock | ( | [in] RtDWORD | dwBlockID,
|  | [in] RtDWORD | dwVirtualKey,
|  | [in] RtDWORD | dwModifierFlags,
|  | [in] BSTR | bsAcceleratorCommand |
| ) |  |  |

Add new accelerator handler to the block.

- Method will fail if there already is specified key combination.

Parameters:

  | dwBlockID | [in] Specifies the block ID.
  | dwVirtualKey | [in] The virtual key for the accelerator key to handle.
  | dwModifierFlags | [in] Combination of RtAcceleratorModifier the modifiers of the accelerator key.
  | bsAcceleratorCommand | [in] Command to execute when the accelerator key combination is caught/noticed.

HRESULT IRsAcceleratorHandlerGlobal::AddAccelerator | ( | [in] RtDWORD | dwVirtualKey,
|  | [in] RtDWORD | dwModifierFlags,
|  | [in] BSTR | bsAcceleratorCommand,
|  | [out, retval] RtDWORD * | pdwBlockID |
| ) |  |  |

Add new accelerator handler and automatially create new block for it.

- Method will fail if there already is specified key combination.

Parameters:

  | dwVirtualKey | [in] The virtual key for the accelerator key to handle.
  | dwModifierFlags | [in] Combination of RtAcceleratorModifier the modifiers of the accelerator key.
  | bsAcceleratorCommand | [in] Command to execute when the accelerator key combination is catched.

Returns:
  pdwBlockID [out, retval] Is filled with the new unique block id.

HRESULT IRsAcceleratorHandlerGlobal::DeleteAccelerators | ( | [in] RtDWORD | dwBlockID | ) |

Delete all accelerators with given blockID.

Parameters:

  | dwBlockID | [in] Specifies the block ID.

HRESULT IRsAcceleratorHandlerGlobal::Enable | ( |  | ) |

Enable handling of the accelerators.

- Handler is enabled by default after creation.

HRESULT IRsAcceleratorHandlerGlobal::Disable | ( |  | ) |

Disable handling of the accelerators (List of accelerators remains valid).

HRESULT IRsAcceleratorHandlerGlobal::GetAcceleratorCount | ( | [out, retval] RtDWORD * | dwCount | ) |

Get accelerator count.

Returns:
  dwCount [out,retval] Number of accelerators.

HRESULT IRsAcceleratorHandlerGlobal::GetAccelerator | ( | [in] RtDWORD | dwIndex,
|  | [out] RtDWORD * | pdwBlockID,
|  | [out] RtDWORD * | pdwVirtualKey,
|  | [out] RtDWORD * | pdwModifierFlags,
|  | [out] BSTR * | bsAcceleratorCommand |
| ) |  |  |

Get the accelerator description at given index.

Parameters:

  | dwIndex | [in] Specifies the index.
  | pdwBlockID | [out] Specifies the block ID.
  | pdwVirtualKey | [out] The virtual key for the accelerator key to handle.
  | pdwModifierFlags | [out] Combination of RtAcceleratorModifier the modifiers of the accelerator key.
  | bsAcceleratorCommand | [out] Command to execute when the accelerator key combination is catched.

HRESULT IRsAcceleratorHandlerGlobal::SaveToXML | ( | [in] BSTR | bsFileName | ) |

Save to XML file.

Parameters:

  | bsFileName | [in] .

HRESULT IRsAcceleratorHandlerGlobal::LoadFromXML | ( | [in] BSTR | bsFileName | ) |

Load from XML file.

Parameters:

  | bsFileName | [in] .

HRESULT IRsAcceleratorHandlerGlobal::SaveToDefaultXML | ( |  | ) |

Save to default XML file.

HRESULT IRsAcceleratorHandlerGlobal::LoadFromDefaultXML | ( |  | ) |

Load from default XML file.

HRESULT IRsAcceleratorHandlerGlobal::LoadFromXMLString | ( | [in] BSTR | pszXMLString | ) |

Load from XML buffer.

Parameters:

  | pszXMLString | [in] .

HRESULT IRsAcceleratorHandlerGlobal::StartNewBlock | ( | [out, retval] RtDWORD * | pdwBlockID | ) |

Start the shortcut block.

- This method returns the ID of the new shortcut block and new accelerators can be added to the block using AddAcceleratorToBlock method.

Returns:
  pdwBlockID [out, retval] Is filled with the new unique block id.

HRESULT IRsAcceleratorHandlerGlobal::AddAcceleratorToBlock | ( | [in] RtDWORD | dwBlockID,
|  | [in] RtDWORD | dwVirtualKey,
|  | [in] RtDWORD | dwModifierFlags,
|  | [in] BSTR | bsAcceleratorCommand |
| ) |  |  |

Add new accelerator handler to the block.

- Method will fail if there already is specified key combination.

Parameters:

  | dwBlockID | [in] Specifies the block ID.
  | dwVirtualKey | [in] The virtual key for the accelerator key to handle.
  | dwModifierFlags | [in] Combination of RtAcceleratorModifier the modifiers of the accelerator key.
  | bsAcceleratorCommand | [in] Command to execute when the accelerator key combination is caught/noticed.

HRESULT IRsAcceleratorHandlerGlobal::AddAccelerator | ( | [in] RtDWORD | dwVirtualKey,
|  | [in] RtDWORD | dwModifierFlags,
|  | [in] BSTR | bsAcceleratorCommand,
|  | [out, retval] RtDWORD * | pdwBlockID |
| ) |  |  |

Add new accelerator handler and automatially create new block for it.

- Method will fail if there already is specified key combination.

Parameters:

  | dwVirtualKey | [in] The virtual key for the accelerator key to handle.
  | dwModifierFlags | [in] Combination of RtAcceleratorModifier the modifiers of the accelerator key.
  | bsAcceleratorCommand | [in] Command to execute when the accelerator key combination is catched.

Returns:
  pdwBlockID [out, retval] Is filled with the new unique block id.

HRESULT IRsAcceleratorHandlerGlobal::DeleteAccelerators | ( | [in] RtDWORD | dwBlockID | ) |

Delete all accelerators with given blockID.

Parameters:

  | dwBlockID | [in] Specifies the block ID.

HRESULT IRsAcceleratorHandlerGlobal::Enable | ( |  | ) |

Enable handling of the accelerators.

- Handler is enabled by default after creation.

HRESULT IRsAcceleratorHandlerGlobal::Disable | ( |  | ) |

Disable handling of the accelerators (List of accelerators remains valid).

HRESULT IRsAcceleratorHandlerGlobal::GetAcceleratorCount | ( | [out, retval] RtDWORD * | dwCount | ) |

Get accelerator count.

Returns:
  dwCount [out,retval] Number of accelerators.

HRESULT IRsAcceleratorHandlerGlobal::GetAccelerator | ( | [in] RtDWORD | dwIndex,
|  | [out] RtDWORD * | pdwBlockID,
|  | [out] RtDWORD * | pdwVirtualKey,
|  | [out] RtDWORD * | pdwModifierFlags,
|  | [out] BSTR * | bsAcceleratorCommand |
| ) |  |  |

Get the accelerator description at given index.

Parameters:

  | dwIndex | [in] Specifies the index.
  | pdwBlockID | [out] Specifies the block ID.
  | pdwVirtualKey | [out] The virtual key for the accelerator key to handle.
  | pdwModifierFlags | [out] Combination of RtAcceleratorModifier the modifiers of the accelerator key.
  | bsAcceleratorCommand | [out] Command to execute when the accelerator key combination is catched.

HRESULT IRsAcceleratorHandlerGlobal::SaveToXML | ( | [in] BSTR | bsFileName | ) |

Save to XML file.

Parameters:

  | bsFileName | [in] .

HRESULT IRsAcceleratorHandlerGlobal::LoadFromXML | ( | [in] BSTR | bsFileName | ) |

Load from XML file.

Parameters:

  | bsFileName | [in] .

HRESULT IRsAcceleratorHandlerGlobal::SaveToDefaultXML | ( |  | ) |

Save to default XML file.

HRESULT IRsAcceleratorHandlerGlobal::LoadFromDefaultXML | ( |  | ) |

Load from default XML file.

HRESULT IRsAcceleratorHandlerGlobal::LoadFromXMLString | ( | [in] BSTR | pszXMLString | ) |

Load from XML buffer.

Parameters:

  | pszXMLString | [in] .